Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 525070 - media-video/mplayer-1.2_pre20141011 with media-video/libav-9.16 - fmt-conversion.c:67:26: error: 'AV_PIX_FMT_XYZ12LE' undeclared here (not in a function)
Summary: media-video/mplayer-1.2_pre20141011 with media-video/libav-9.16 - fmt-convers...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
: 549748 550498 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-10-11 15:49 UTC by Andrés Becerra Sandoval
Modified: 2015-05-27 19:52 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,50.05 KB, text/plain)
2014-10-11 15:51 UTC, Andrés Becerra Sandoval
Details
partial libav 10 patch (libav.patch,3.97 KB, patch)
2014-10-12 08:09 UTC, Alexis Ballier
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrés Becerra Sandoval 2014-10-11 15:49:14 UTC
x86_64-pc-linux-gnu-gcc -MMD -MP -Wundef  -Wstrict-prototypes -Wmissing-prototypes -Wdisabled-optimization -Wno-pointer-sign -Wdeclaration-after-statement -std=gnu99  -D_POSIX_C_SOURCE=200112 -D_XOPEN_SOURCE=600 -D_ISOC99_SOURCE -I. -Iffmpeg -O2 -march=core2 -pipe -ggdb -fno-tree-vectorize -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE  -fpie -DPIC -D_REENTRANT  -D_REENTRANT   -I/usr/include/freetype2 -DZLIB_CONST   -c -o m_config.o m_config.c
fmt-conversion.c:67:26: error: 'AV_PIX_FMT_XYZ12LE' undeclared here (not in a function)
     { IMGFMT_XYZ12LE,    AV_PIX_FMT_XYZ12LE },
                          ^
fmt-conversion.c:68:26: error: 'AV_PIX_FMT_XYZ12BE' undeclared here (not in a function)
     { IMGFMT_XYZ12BE,    AV_PIX_FMT_XYZ12BE },
                          ^
fmt-conversion.c:137:31: error: 'AV_PIX_FMT_XVMC' undeclared here (not in a function)
     { IMGFMT_XVMC_IDCT_MPEG2, AV_PIX_FMT_XVMC },
                               ^
fmt-conversion.c: In function 'imgfmt2pixfmt':
fmt-conversion.c:151:38: error: 'AV_PIX_FMT_VDPAU' undeclared (first use in this function)
     if (IMGFMT_IS_VDPAU(fmt)) return AV_PIX_FMT_VDPAU;
                                      ^
fmt-conversion.c:151:38: note: each undeclared identifier is reported only once for each function it appears in
fmt-conversion.c:151:31: error: incompatible types when returning type 'const struct <anonymous> *' but 'enum AVPixelFormat' was expected
     if (IMGFMT_IS_VDPAU(fmt)) return AV_PIX_FMT_VDPAU;
                               ^
Makefile:759: recipe for target 'fmt-conversion.o' failed
make: *** [fmt-conversion.o] Error 1
make: *** Waiting for unfinished jobs....
m_config.c: In function 'm_config_add_option':
m_config.c:326:14: warning: assignment discards 'const' qualifier from pointer target type [enabled by default]
     co->name = arg->name;
Comment 1 Andrés Becerra Sandoval 2014-10-11 15:51:59 UTC
Created attachment 386444 [details]
build.log
Comment 2 Andrés Becerra Sandoval 2014-10-11 15:53:26 UTC
emerge --info output:

Portage 2.2.14_rc1 (python 2.7.8-final-0, default/linux/amd64/13.0/desktop/kde, gcc-4.8.3, glibc-2.19-r1, 3.17.0-gentoo x86_64)                                                     
=================================================================                                                                                                                   
                         System Settings                                                                                                                                            
=================================================================                                                                                                                   
System uname: Linux-3.17.0-gentoo-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E4500_@_2.20GHz-with-gentoo-2.2                                                                                 
KiB Mem:     5974388 total,   2997472 free                                                                                                                                          
KiB Swap:    2104476 total,   2104476 free                                                                                                                                          
Timestamp of tree: Sat, 11 Oct 2014 14:30:01 +0000                                                                                                                                  
ld GNU ld (GNU Binutils) 2.24                                                                                                                                                       
app-shells/bash:          4.2_p53                                                                                                                                                   
dev-java/java-config:     2.2.0                                                                                                                                                     
dev-lang/perl:            5.20.1                                                                                                                                                    
dev-lang/python:          2.7.8, 3.4.1                                                                                                                                              
dev-util/cmake:           3.0.2                                                                                                                                                     
dev-util/pkgconfig:       0.28-r2                                                                                                                                                   
sys-apps/baselayout:      2.2                                                                                                                                                       
sys-apps/openrc:          0.13.1                                                                                                                                                    
sys-apps/sandbox:         2.6-r1                                                                                                                                                    
sys-devel/autoconf:       2.13, 2.69                                                                                                                                                
sys-devel/automake:       1.11.6, 1.14.1                                                                                                                                            
sys-devel/binutils:       2.24-r3                                                                                                                                                   
sys-devel/gcc:            4.8.3                                                                                                                                                     
sys-devel/gcc-config:     1.8                                                                                                                                                       
sys-devel/libtool:        2.4.2-r1                                                                                                                                                  
sys-devel/make:           4.1                                                                                                                                                       
sys-kernel/linux-headers: 3.16 (virtual/os-headers)                                                                                                                                 
sys-libs/glibc:           2.19-r1                                                                                                                                                   
Repositories: gentoo kde sunrise local                                                                                                                                              
Installed sets: @bio, @dicts, @gtk, @kdeapps, @kdetweaks, @lxqt, @mykde, @mykdepim, @networks, @objectstuff, @pythonstuff, @qtapps, @speech, @telepathy                             
ACCEPT_KEYWORDS="amd64 ~amd64"                                                                                                                                                      
ACCEPT_LICENSE="* -@EULA"                                                                                                                                                           
CBUILD="x86_64-pc-linux-gnu"                                                                                                                                                        
CFLAGS="-O2 -march=core2 -pipe -ggdb"                                                                                                                                               
CHOST="x86_64-pc-linux-gnu"                                                                                                                                                         
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"                                                                         
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"                                                                                                               
CXXFLAGS="-O2 -march=core2 -pipe -ggdb"                                                                                                                                             
DISTDIR="/home/distfiles"                                                                                                                                                           
FCFLAGS="-O2 -pipe"                                                                                                                                                                 
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync metadata-transfer news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://www.gtlib.gatech.edu/pub/gentoo http://gentoo.osuosl.org/ http://mirror.iawnet.sandia.gov/gentoo/"
LANG="es_CO.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/home/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/home/portagetemp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/kde /var/lib/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus declarative dri dri3 dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif glamor gpm handbook iconv icu ipv6 jpeg kde kerberos kipi lcms ldap libnotify lzma mad mmx mng modules mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp pam pango pcre pdf phonon plasma png policykit ppds pulseaudio qt3support qt4 readline samba sdl semantic-desktop session spell sse sse2 ssl ssse3 startup-notification svg system-sqlite tcpd tiff truetype udev udisks unicode upower usb vaapi vorbis x264 xcb xcomposite xinerama xml xscreensaver xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="es en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" RUBY_TARGETS="ruby19" USERLAND="GNU" VIDEO_CARDS="intel vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Andrés Becerra Sandoval 2014-10-11 15:55:03 UTC
eix -ev libav
* media-video/libav
     Available versions:  9.14(0/9) (~)9.16(0/9){tbz2} **9.9999(0/9) [M](~)10(0/10) [M](~)10.1(0/10) [M](~)10.1-r1(0/10) [M](~)10.2(0/10) [M](~)10.3(0/10) [M]**10.9999(0/10)^t [M](~)11(0/10)^t **9999(0/10)^t
     IUSE (all versions): 3dnow 3dnowext X aac alsa altivec amr avx avx2 bindist +bzip2 cdio cpudetection custom-cflags debug doc +encode faac fdk fontconfig frei0r +gpl gsm +hardcoded-tables ieee1394 jack jpeg2k mmx mmxext mp3 neon +network openssl opus oss pic pulseaudio rtmp schroedinger sdl speex ssl ssse3 static-libs test theora threads tools truetype v4l vaapi vdpau vis vorbis vpx wavpack webp x264 x265 xvid +zlib ABI_MIPS="n32 n64 o32" ABI_PPC="32 64" ABI_S390="32 64" ABI_X86="32 64 x32"                                                                                   
     Installed versions:  Version:   9.16{tbz2}
                          Date:      11:01:48 19/08/14
                          USE:       X aac alsa amr bzip2 encode gpl gsm hardcoded-tables jpeg2k mmx mp3 network opus pulseaudio sdl speex ssl ssse3 theora threads truetype vaapi vdpau vorbis x264 xvid zlib -3dnow -3dnowext -altivec -avx -bindist -cdio -cpudetection -custom-cflags -debug -doc -faac -fdk -frei0r -ieee1394 -jack -mmxext -neon -openssl -oss -pic -rtmp -schroedinger -static-libs -test -tools -v4l -vis -vpx ABI_MIPS="-n32 -n64 -o32" ABI_PPC="-32 -64" ABI_S390="-32 -64" ABI_X86="64 -32 -x32"
                          DEPEND:    ${RDEPEND} >=sys-devel/make-3.81 dev-lang/yasm >=virtual/pkgconfig-0-r1[abi_x86_64(-)] >=virtual/pkgconfig-0-r1[abi_x86_64(-)]
                          RDEPEND:   !media-video/ffmpeg:0 >=media-libs/alsa-lib-1.0.27.2[abi_x86_64(-)] >=media-libs/opencore-amr-0.1.3-r1[abi_x86_64(-)] >=app-arch/bzip2-1.0.6-r4[abi_x86_64(-)] >=media-libs/vo-aacenc-0.1.3[abi_x86_64(-)] >=media-libs/vo-amrwbenc-0.1.2-r1[abi_x86_64(-)] >=media-sound/lame-3.99.5-r1[abi_x86_64(-)] >=media-libs/libtheora-1.1.1[encode,abi_x86_64(-)] >=media-libs/libogg-1.3.0[abi_x86_64(-)] >=media-libs/libvorbis-1.3.3-r1[abi_x86_64(-)] >=media-libs/libogg-1.3.0[abi_x86_64(-)] >=media-libs/x264-0.0.20130506:0/142=[abi_x86_64(-)] >=media-libs/xvid-1.3.2-r1[abi_x86_64(-)] >=media-sound/gsm-1.0.13-r1[abi_x86_64(-)] >=media-libs/openjpeg-1.5.0:0[abi_x86_64(-)] >=media-libs/opus-1.0.2-r2[abi_x86_64(-)] >=media-sound/pulseaudio-2.1-r1[abi_x86_64(-)] >=net-libs/gnutls-2.12.23-r6[abi_x86_64(-)] >=media-libs/libsdl-1.2.15-r4[sound,video,abi_x86_64(-)] >=media-libs/speex-1.2_rc1-r1[abi_x86_64(-)] >=media-libs/freetype-2.5.0.1:2[abi_x86_64(-)] >=x11-libs/libva-1.2.1-r1[abi_x86_64(-)] >=x11-libs/libvdpau-0.7[abi_x86_64(-)] >=x11-libs/libX11-1.6.2[abi_x86_64(-)] >=x11-libs/libXext-1.3.2[abi_x86_64(-)] >=x11-libs/libXfixes-5.0.1[abi_x86_64(-)] >=sys-libs/zlib-1.2.8-r1[abi_x86_64(-)]
     Best versions/slot:  (~)9.16(0/9){tbz2}
     Homepage:            http://libav.org/
     Find open bugs:      https://bugs.gentoo.org/buglist.cgi?quicksearch=media-video%2Flibav
     Description:         Complete solution to record, convert and stream audio and video
     License:             LGPL-2.1 gpl? ( GPL-3 )
Comment 4 Alexis Ballier gentoo-dev 2014-10-12 08:02:06 UTC
guess we can't trust upstream to support libav...


+  12 Oct 2014; Alexis Ballier <aballier@gentoo.org>
+  mplayer-1.2_pre20141011.ebuild, mplayer-9999.ebuild:
+  require ffmpeg on latest versions as it doesnt build with libav, bug #525070
+


Index: package.mask
===================================================================
RCS file: /var/cvsroot/gentoo-x86/profiles/package.mask,v
retrieving revision 1.16089
diff -u -B -r1.16089 package.mask
--- package.mask        11 Oct 2014 19:45:34 -0000      1.16089
+++ package.mask        12 Oct 2014 07:58:45 -0000
@@ -488,6 +488,8 @@
 # Alexis Ballier <aballier@gentoo.org> (4 Aug 2014)
 # <vlc-2.2 will not work with this ffmpeg version; others to be investigated.
 >=media-video/ffmpeg-2.3
+# bug #525070
+>=media-video/mplayer-1.2_pre20141011
 
 # Mikle Kolyada <zlogene@gentoo.org>
 # Masked due to upstream QA issues.



-> masked
Comment 5 Alexis Ballier gentoo-dev 2014-10-12 08:09:52 UTC
Created attachment 386480 [details, diff]
partial libav 10 patch

here is a partial patch for libav-10 support; i'm not able to finish it since the resampling code in libavcodec has been dropped in libav
Comment 6 Alexis Ballier gentoo-dev 2014-10-12 08:12:57 UTC
@luca: you're probably the best placed to finish the patch or take a decision here; if nobody is able to give libav support to mplayer we'll have to face it: libav devs have abandonned mplayer and we should consider it ffmpeg playground, meaning mplayer will keep its ffmpeg-only dep and libav users will have to use mpv or similar forks.
Comment 7 Tolga Dalman 2014-10-12 09:24:51 UTC
Since mplayer works perfectly with ffmpeg, I see no reason why newer versions  should be generally masked. Is it possible to conditionally mask mplayer (-revisions) depending on its use with libav ?
Comment 8 Chiitoo gentoo-dev 2014-11-02 15:45:40 UTC
(In reply to Tolga Dalman from comment #7)
> Since mplayer works perfectly with ffmpeg, I see no reason why newer
> versions  should be generally masked. Is it possible to conditionally mask
> mplayer (-revisions) depending on its use with libav ?

Indeed.

In fact, media-video/mplayer-1.2_pre20130729 fails with media-video/ffmpeg-2.4.3 on undefined references, and while I was looking if I could patch it, I noticed that media-video/mplayer-1.2_pre20141011 has the required changes.

From what I can tell, it works fine (and indeed builds).
Comment 9 miro.rovis 2014-11-02 16:18:54 UTC
(In reply to Tolga Dalman from comment #7)
> Since mplayer works perfectly with ffmpeg, I see no reason why newer
> versions  should be generally masked. Is it possible to conditionally mask
> mplayer (-revisions) depending on its use with libav ?

+1

[ topic: Libav (Avconv) Imposition on Users who want FFmpeg ]
http://forums.gentoo.org/viewtopic-p-7643904.html#7643904

If this bug is not a political bug, I don't know what a political bug means.
Pls. wranglers, give the common Gentoo users the up-to-date MPlayer, which is just fine, not at all bugy, and needs not support Libav.
Comment 10 Alexis Ballier gentoo-dev 2014-11-02 17:21:21 UTC
Please stop these rants. It is not the place to debate this and this is certainly not libav holding mplayer develomement and advances in gentoo... So far, absolutely nobody has given a reason to unmask this mplayer snapshot (apart from having a greater version #). libav users that have mplayer installed will, however, be forced to use ffmpeg against their will if it is unmasked.

It's been ~3 weeks and nothing has moved to fix libav support. At some point I'll unmask ffmpeg 2.4 together with this mplayer snapshot as there will be a good reason to do so.

If you want to help speeding this up, you can run a tinderbox against ffmpeg-2.4 and test all its reverse dependencies. Or if you don't care, you can simply unmask mplayer and be done.
Comment 11 Tolga Dalman 2014-11-02 18:29:31 UTC
(In reply to Alexis Ballier from comment #10)
> Please stop these rants. It is not the place to debate this and this is
> certainly not libav holding mplayer develomement and advances in gentoo...

I fail to see "rants" in my question above. Again: what's wrong with conditionally masking mplayer for libav users ?


> So far, absolutely nobody has given a reason to unmask this mplayer snapshot
> (apart from having a greater version #).

I agree. Both versions in question are pre-1.2 snapshots with more than one year of development involved. However, there are currently no serious bugs reported in Gentoo bugzilla AFAIK.

> libav users that have mplayer
> installed will, however, be forced to use ffmpeg against their will if it is
> unmasked.

Not if it is conditional. Currently, libav doesn't support newer versions of mplayer.
 
> It's been ~3 weeks and nothing has moved to fix libav support. At some point
> I'll unmask ffmpeg 2.4 together with this mplayer snapshot as there will be
> a good reason to do so.

This is still orthogonal to my proposal. libav users will be forced to stick to an older version of mplayer until support is provided by upstream or custom Gentoo patches.
 
> If you want to help speeding this up, you can run a tinderbox against
> ffmpeg-2.4 and test all its reverse dependencies. Or if you don't care, you
> can simply unmask mplayer and be done.

Could you elaborate please ? I don't understand the relation between libav and ffmpeg 2.4. In any case, I will gladly test mplayer with ffmpeg 2.4 and report any possible problems I find.
Comment 12 Alexis Ballier gentoo-dev 2014-11-02 20:33:14 UTC
(In reply to Tolga Dalman from comment #11)
> (In reply to Alexis Ballier from comment #10)
> > Please stop these rants. It is not the place to debate this and this is
> > certainly not libav holding mplayer develomement and advances in gentoo...
> 
> I fail to see "rants" in my question above. Again: what's wrong with
> conditionally masking mplayer for libav users ?

If you know how to do that, please teach me :)

> > If you want to help speeding this up, you can run a tinderbox against
> > ffmpeg-2.4 and test all its reverse dependencies. Or if you don't care, you
> > can simply unmask mplayer and be done.
> 
> Could you elaborate please ? I don't understand the relation between libav
> and ffmpeg 2.4. In any case, I will gladly test mplayer with ffmpeg 2.4 and
> report any possible problems I find.

Either mplayer is fixed to work with libav, either there is a good reason to cause trouble to libav users. This new mplayer snapshot provides ffmpeg 2.4+ compatibility.
Comment 13 Tolga Dalman 2014-11-02 23:19:58 UTC
(In reply to Alexis Ballier from comment #12)
> If you know how to do that, please teach me :)

I am by no means an expert in ebuilds. I see that the dependencies are: mplayer-1.2_pre20130729 depends on media-video/ffmpeg or libav, while mplayer-1.2_pre20141011.ebuild depends on media-video/ffmpeg-2.0 or higher.
However, as is, the new mplayer will pull in ffmpeg, even if someone wants to use libav instead. 

Wouldn't it work to depend on media-video/ffmpeg for the newer mplayer software, and just virtal/ffmpeg for the older versions ? AFAIK, libav and ffmpeg are mutually exclusive.

Another option would be to add a libav USE flag that explicitly controls the behavior the user wants.
 
> > > If you want to help speeding this up, you can run a tinderbox against
> > > ffmpeg-2.4 and test all its reverse dependencies. Or if you don't care, you
> > > can simply unmask mplayer and be done.
> > 
> > Could you elaborate please ? I don't understand the relation between libav
> > and ffmpeg 2.4. In any case, I will gladly test mplayer with ffmpeg 2.4 and
> > report any possible problems I find.
> 
> Either mplayer is fixed to work with libav, either there is a good reason to
> cause trouble to libav users. This new mplayer snapshot provides ffmpeg 2.4+
> compatibility.

So this is unrelated to the libav vs ffmpeg issue then, right ?
Comment 14 Matt Whitlock 2014-11-04 08:22:32 UTC
(In reply to Alexis Ballier from comment #10)
> So far, absolutely nobody has given a reason to unmask this mplayer snapshot
> (apart from having a greater version #).

Here's a reason:
https://bugs.launchpad.net/ubuntu/+source/mplayer/+bug/1352447

The referenced bug affects media-video/mplayer-1.2_pre20130729 and has been annoying me for weeks, rendering me unable to play any H.264 content in MPlayer. I finally decided to get to the bottom of it, and I discovered media-video/mplayer-1.2_pre20141011 that is masked. I unmasked it and upgraded, and now my H.264 videos play at the correct frame rate again.
Comment 15 Ulenrich 2014-11-09 14:35:01 UTC
I just ranted in a similar bug about these lots of unconditional masks
https://bugs.gentoo.org/show_bug.cgi?id=518604#c4
seems to be related. I hope a newer ffmpeg gets unmasked this time :)
Comment 16 Alexis Ballier gentoo-dev 2014-12-15 14:34:46 UTC
now unmasked as nothing has moved:

+  15 Dec 2014; Alexis Ballier <aballier@gentoo.org> package.mask:
+  unmask >=media-video/mplayer-1.2_pre20141011 as 2 months have passed and
+  there does not seem to be any improvement for libav support while it starts
+  to cause issues to users, see bug #532562 and
+  https://bugs.gentoo.org/show_bug.cgi?id=525070#c14
+
Comment 17 Pacho Ramos gentoo-dev 2015-04-23 08:47:33 UTC
This will be a problem for ffmpeg-2.6 as newer mplayer is needed for that... but that would break libav support :/
Comment 18 Pacho Ramos gentoo-dev 2015-05-18 14:37:13 UTC
*** Bug 549748 has been marked as a duplicate of this bug. ***
Comment 19 Pacho Ramos gentoo-dev 2015-05-27 10:13:07 UTC
*** Bug 550498 has been marked as a duplicate of this bug. ***
Comment 20 Nick Pershyn 2015-05-27 19:52:13 UTC
I guess it should block this bug #474408

P.S. There is a package app-misc/anki, which depends on mplayer... Is there a way to make it working without switching to ffmpeg?